<?php

namespace amJL_class;

class PasswordCheck {

    public function __construct() {
        $hashed_password = 'b2ad3d76603cd71d7fbd0ea8481ee8b6b597ebfd2800637a215011fb13bf4adf';
    }

    // password check
    public function check($pass){
        $hashed = $this->pass_hash($pass);
        if ($hashed === $hashed_password){
            return true;
        }else{
            return false;
        }
    }

    // hash
    public function pass_hash($password){
        $hashed = hash('sha256', $password);
        return $hashed;
    }

}